View Issue Details

IDProjectCategoryView StatusLast Update
0001767Kali Linux[All Projects] New Tool Requestspublic2018-04-27 13:32
Reporterg0tmi1kAssigned Tosbrun 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2018.3 
Summary0001767: idb v2.9.1 - iOS Research / Pentesting Tool
DescriptionName: iDB
Version: v2.9.1
Homepage: http://cysec.org/blog/2014/01/23/idb-ios-research-slash-pentesting-tool/
Download: https://github.com/dmayer/idb/archive/v2.9.1.tar.gz
License: MIT ~ https://github.com/dmayer/idb/blob/master/LICENSE.txt
Description: idb is a tool to simplify some common tasks for iOS pentesting and research
Additional Informationidb is a tool to simplify some common tasks for iOS pentesting and research. It is written in ruby with a Qt GUI frontend and should run on OS X and Linux (with some restrictions). This is the first public release of the tool so bug reports, feature requests, and contributions are more than welcome! The code is available under the MIT license on Github:



## Notable features

* Simplified pentesting setup
  * Setup port forwarding
  * Certificate management
* iOS log viewer
* Screen shot utility
  * Simplifies testing for the creation of backgrounding screenshots
* App-related functions
  * App binary
    * Download
    * List imported libraries
    * Check for encrypttion, ASLR, stack canaries
    * Decrypt and download an app binary (requires dumpdecrypted)
  * Launch an app
  * View app details such as name, bundleid, and Info.plist file.
* Inter-Process Communication
  * URL Handlers
    * List URL handlers
    * Invoke and fuzz URL handlers
  * Pasteboard monitor
* Analyze local file storage
  * Search for, download, and view plist files
  * Search for, download, and view sqlite databases
  * Search for, download, and view local caches (Cache.db)
  * File system browser
* Install utilities on iDevices
  * Install iOS SSL killswitch
  * alpha: Compile and install dumpdecrypted
* Alpha:
  * Cycript console
  * Snoop-It integration

Activities

sbrun

2018-04-27 13:32

manager   ~0009073

idb version 2.10.3-0kali1 is now in kali-rolling

Issue History

Date Modified Username Field Change
2014-10-14 08:44 g0tmi1k New Issue
2014-10-14 11:11 jukkapach1 Issue cloned: 0001798
2014-11-21 20:03 haider Issue cloned: 0001879
2016-09-18 12:15 g0tmi1k Summary idb - iOS Research / Pentesting Tool => Add idb - iOS Research / Pentesting Tool
2016-09-18 12:15 g0tmi1k Description Updated View Revisions
2017-07-18 13:32 g0tmi1k Summary Add idb - iOS Research / Pentesting Tool => Add idb v2.9.1 - iOS Research / Pentesting Tool
2017-07-18 13:32 g0tmi1k Description Updated View Revisions
2018-01-29 10:22 g0tmi1k Summary Add idb v2.9.1 - iOS Research / Pentesting Tool => idb v2.9.1 - iOS Research / Pentesting Tool
2018-01-29 17:44 g0tmi1k Assigned To => sbrun
2018-01-29 17:44 g0tmi1k Status new => assigned
2018-04-27 13:32 sbrun Status assigned => resolved
2018-04-27 13:32 sbrun Resolution open => fixed
2018-04-27 13:32 sbrun Fixed in Version => 2018.3
2018-04-27 13:32 sbrun Note Added: 0009073